Class | Merb::Test::MultipartRequestHelper::Post
In: | lib/merb-core/test/helpers/multipart_request_helper.rb
Parent: | Object

### Methods

new push_params to_multipart

### Constants

BOUNDARY | = | '----------0xKhTmLbOuNdArY'
CONTENT_TYPE | = | "multipart/form-data, boundary=" + BOUNDARY

### Public Class methods

new(params = {})

#### Parameters

params<Hash>: | Optional params for the controller.

### Public Instance methods

push_params(params, prefix = nil)

Saves the params in an array of multipart params as Param and FileParam objects.

#### Parameters

params<Hash>: | The params to add to the multipart params.
prefix<~to_s>: | An optional prefix for the request string keys.

to_multipart()

#### Returns

Array[String, String]: | The query and the content type.

[Validate]